Bug 1094015 - Review Request: cwtex-q-fonts - a series of modern traditional Chinese fonts
Review Request: cwtex-q-fonts - a series of modern traditional Chinese fonts
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2014-05-04 07:14 EDT by Cheng-Chia Tseng
Modified: 2017-10-02 08:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cheng-Chia Tseng 2014-05-04 07:14:27 EDT
Spec URL: http://zerng07.fedorapeople.org/SPECS/cwtex-q-fonts.spec
SRPM URL: http://zerng07.fedorapeople.org/SRPMS/cwtex-q-fonts-0.2-1.fc20.src.rpm
Description: The cwTeX fonts were originally created by Tsong-Min Wu and Tsong-Huey Wu from 1999-2004. The fonts was later organized and modified by Edward G.J. Lee from 2005-2007. cwtex-q-fonts project was run by Chen-Pan Liao since 2008. The goal is to modify cwTeX fonts to provide higher quality and comfort.
Fedora Account System Username: zerng07

This is my first package and I need a sponsor.
Comment 1 Cheng-Chia Tseng 2014-05-04 07:16:17 EDT
Here are my koji build task urls: 
f20 http://koji.fedoraproject.org/koji/taskinfo?taskID=6811265
f21 http://koji.fedoraproject.org/koji/taskinfo?taskID=6811286
Comment 2 Parag AN(पराग) 2014-06-26 09:20:41 EDT
Let me see if I can find some time here but before that I see you need sponsorship. Have you started reviewing other new packages? If yes please provide here links to your package reviews.

If you are not knowing about sponsorship process then please have a look at https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Look for new packages at http://fedoraproject.org/PackageReviewStatus/NEW.html

you may also find following links interested to read
http://fedoraproject.org/wiki/Using_Fedora_GIT

http://fedoraproject.org/wiki/Packaging_tricks

http://fedoraproject.org/wiki/How_to_create_an_RPM_package

http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

http://fedoraproject.org/wiki/Package_Review_Process
Comment 3 Cheng-Chia Tseng 2014-06-26 09:47:35 EDT
Thank you for your informaiton about sponsorship process! :)

I haven't read that before, and haven't started reviewing other new packages yet. However, I will follow those instructions to get well prepared!
Comment 4 Parag AN(पराग) 2014-06-27 10:09:45 EDT
rpmlint on source and binary rpms gave
cwtex-q-fangsong-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cwtex-q-fangsong-fonts/license.txt
cwtex-q-fonts.src:37: W: macro-in-comment %package
cwtex-q-fonts.src:41: W: macro-in-comment %description
cwtex-q-fonts.src:42: W: macro-in-comment %common_desc
cwtex-q-fonts.src:44: W: macro-in-comment %{name}
cwtex-q-fonts.src:50: W: macro-in-comment %{name}
cwtex-q-fonts.src:50: W: macro-in-comment %{version}
cwtex-q-fonts.src:50: W: macro-in-comment %{release}
cwtex-q-fonts.src:64: W: macro-in-comment %{name}
cwtex-q-fonts.src:64: W: macro-in-comment %{version}
cwtex-q-fonts.src:64: W: macro-in-comment %{release}
cwtex-q-fonts.src:78: W: macro-in-comment %{name}
cwtex-q-fonts.src:78: W: macro-in-comment %{version}
cwtex-q-fonts.src:78: W: macro-in-comment %{release}
cwtex-q-fonts.src:92: W: macro-in-comment %{name}
cwtex-q-fonts.src:92: W: macro-in-comment %{version}
cwtex-q-fonts.src:92: W: macro-in-comment %{release}
cwtex-q-fonts.src:106: W: macro-in-comment %{name}
cwtex-q-fonts.src:106: W: macro-in-comment %{version}
cwtex-q-fonts.src:106: W: macro-in-comment %{release}
cwtex-q-fonts.src:159: W: macro-in-comment %files
cwtex-q-fonts.src:160: W: macro-in-comment %defattr
cwtex-q-fonts.src:161: W: macro-in-comment %doc
cwtex-q-fonts.src: W: invalid-url Source0: cwtex-q-fonts-v02-1.tar.xz
cwtex-q-hei-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cwtex-q-hei-fonts/license.txt
cwtex-q-kai-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cwtex-q-kai-fonts/license.txt
cwtex-q-ming-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cwtex-q-ming-fonts/license.txt
cwtex-q-yuan-fonts.noarch: W: spelling-error %description -l en_US yaun -> yuan, yarn, faun
cwtex-q-yuan-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cwtex-q-yuan-fonts/license.txt
6 packages and 0 specfiles checked; 0 errors, 29 warnings.

==> Fix for above issues are as
1) when writing macros in comments always add extra % so %{name} should be %%{name}

2) wrong-file-end-of-line-encoding messages, fix this by using https://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#wrong-file-end-of-line-encoding

3) In the changelog you don't need dist tag i.e. change
 0.2-1%{?dist}
to
 0.2-1

4) For fedora packaging only you don't need now
  a) removal of buildroot in %install
  b) %clean section
See more about this https://fedoraproject.org/wiki/PackagingGuidelines#.25clean
and https://fedoraproject.org/wiki/PackagingGuidelines#BuildRoot_tag

I did not like the -common for just few (here 2) files which becomes one more dependent package for all other fonts subpackages. So, decide if you want to keep -common in your package then enable lines in comments else remove lines with comments.

Note with every update to package you should increase release tag number by 1 and submit new package for further review.
Comment 5 Cheng-Chia Tseng 2014-06-28 11:38:44 EDT
OK, I have corrected those issues you mentioned and re-uploaded to my fedorapeople space. Release tag number is updated too.

Spec URL: http://zerng07.fedorapeople.org/SPECS/cwtex-q-fonts.spec
SRPM URL: http://zerng07.fedorapeople.org/SRPMS/cwtex-q-fonts-0.2-2.fc20.src.rpm

Thanks a lot! :)
Comment 6 Parag AN(पराग) 2014-06-28 11:53:22 EDT
A quick look into given spec link
issues 1, 2 fixed
issue 3 fixed but you need to add changelog entry with every update and write lines there about what has changed from last release. For the new package you can add changelog like

* Sat Jun 28 2014 Cheng-Chia Tseng <pswo10680@gmail.com> - 0.2-2
- fixed issues reported in package review

issue 4, you have not replied whether you want this package only for Fedora or you also want this package in el6 or epel7

remove un-necessary comment lines
Comment 7 Cheng-Chia Tseng 2014-06-29 01:57:46 EDT
OK, I finally figured it out. Changlog about this release is added.

As issue 4, I would like to want this package included in epel6 or 7 too.
Sorry that I don't understand the question well at first. :p 

The link of guidelines you provided at comment 4 mentioned that the %clean section is not required for F-13 and above. Each package for F-12 and below (or EPEL 5) MUST have a %clean section. So if I want it included in epel6 and above, I don't have to add those %clean section back right? 

Those un-necessary comment lines are all removed this time. :)

Spec URL: http://zerng07.fedorapeople.org/SPECS/cwtex-q-fonts.spec
SRPM URL: http://zerng07.fedorapeople.org/SRPMS/cwtex-q-fonts-0.2-2.fc20.src.rpm

Thanks for your help!
Comment 8 Parag AN(पराग) 2014-06-30 08:00:43 EDT
For EPEL packaging guidelines see http://fedoraproject.org/wiki/EPEL:Packaging
Comment 9 Cheng-Chia Tseng 2014-06-30 11:47:05 EDT
OK. EPEL packaging guidelines says that %clean section is not required for epel6 or above. I got that.

The SPEC should be fine now, am I right?
Comment 10 Parag AN(पराग) 2014-07-02 05:49:01 EDT
same for removal of buildroot in %install in http://fedoraproject.org/wiki/EPEL:Packaging#Prepping_BuildRoot_For_.25install

else spec looks good but I need to check fontconfig contents. Meanwhile you can start reviewing work of other packages for your sponsorship.
Comment 11 Cheng-Chia Tseng 2014-07-04 06:02:30 EDT
Thanks!

I will find some packages to review! :)
Comment 12 Parag AN(पराग) 2014-10-25 12:00:07 EDT
Hi,
   Do you get time to review packages?
Comment 13 Cheng-Chia Tseng 2014-10-25 22:09:29 EDT
Hi Parag,

I was busy translating GNOME, Fedora and Blender for last few months and could not find much time to review packages.

I will try to review some in the following weeks. Sorry for taking you so long. :P
Comment 14 Parag AN(पराग) 2014-10-25 22:20:20 EDT
Thanks for the update on this review. We can wait.
Comment 15 Parag AN(पराग) 2015-07-18 05:40:38 EDT
Any updates here?
Comment 16 Cheng-Chia Tseng 2015-07-18 06:03:15 EDT
I find I don't have much time working on packaging in this period. :(

The situation is that we, the community in Taiwan, don't have people working on packaging here. I would like to help with this, so I am translating and learning How to create an RPM package on wiki now to promote RPM packaging in these days. [1]

I will apply for sponsoring in the future after my review some packages. Sorry for the long-time-delay. ;P

[1] https://fedoraproject.org/wiki/How_to_create_an_RPM_package/zh-tw
Comment 17 Parag AN(पराग) 2015-07-18 06:17:02 EDT
Thanks for quick reply. I will be happy to offer any kind of packaging help. Feel free to contact me on my email if you need any help.
Comment 18 Cheng-Chia Tseng 2015-07-18 06:39:21 EDT
Thank you very much! :)
Comment 19 Christopher Meng 2015-07-18 06:49:00 EDT
I'm willing to help as well being as a Chinese ;)
Comment 20 Cheng-Chia Tseng 2015-07-18 10:54:54 EDT
Cool! You guys are so kind!
Comment 21 Miroslav Suchý 2015-10-20 16:49:24 EDT
Ping. Any progress here?
Comment 22 Cheng-Chia Tseng 2015-10-25 12:27:16 EDT
I'm sorry that I got a new job that taking about all of my time and even have to work on Saturday until noon.

I have to admit that I rarely have time to do work on package reviews, so I won't apply for sponsoring in next 2 years. I am going to remove the  	FE-NEEDSPONSOR tag.

However, I will update this package to catch up the new upstream version in next 2 weeks, and keep refreshing this font package. I think that is what I can do now in this period. Thanks for notifying me! :)
Comment 23 Cheng-Chia Tseng 2015-11-22 11:34:08 EST
Hi, I am working on 0.4 version today, and I will upload the spec and SRPM tomorrow.

As for the sponsorship, I find I don't have much free time working on packaging after my new job since August. Maybe I will apply that after being used to my new job and having more free time. :P

Note You need to log in before you can comment on or make changes to this bug.